package de.kif.backend.route

import de.kif.backend.authenticateOrRedirect
import de.kif.backend.view.MainTemplate
import de.kif.backend.view.MenuTemplate
import io.ktor.application.call
import io.ktor.html.respondHtmlTemplate
import io.ktor.routing.Route
import io.ktor.routing.get
import kotlinx.html.*

fun Route.account() {
    get("/account") {
        authenticateOrRedirect { user ->
            call.respondHtmlTemplate(MainTemplate()) {
                menuTemplate {
                    this.user = user
                    active = MenuTemplate.Tab.ACCOUNT
                }
                content {
                    h1 { +"Account" }
                    div {
                        +"Welcome ${user.username}!"
                        br {}
                        +"You have the following rights: ${user.permissions}"
                        br {}
                        a("/logout") {
                            button(classes = "form-btn") {
                                +"Logout"
                            }
                        }
                    }
                }
            }
        }
    }
}
